using NetworkResurrector.Agent.Domain.Models;

namespace NetworkResurrector.Agent.Application.Services.Abstractions
{
    public interface IPowerService
    {
        void Shutdown(PowerOptions options);
        void Restart(PowerOptions options);
        void Sleep(PowerOptions options);
        void Logout();
        void Lock();
        void Cancel();
    }
}
